EasyRoutes API

Get Shopify stop route info

GET
/stops/shopify/{id}/routes

Fetch the route and stop IDs for a Shopify order that has been added to one or more routes. The ID should be the Shopify order ID (int64). Note that only non-deleted routes are returned.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token from /authenticate

In: header

Path Parameters

id*string

The Shopify order ID to fetch route info for.

Response Body

application/json

application/json

curl -X GET "https://example.com/stops/shopify/450789469/routes"
{  "routeInfo": [    {      "routeId": "rte-123e4567-e89b-12d3-a456-426614174000",      "stopId": "rst-123e4567-e89b-12d3-a456-426614174000",      "deliveryStatus": "DELIVERED"    }  ]}
{  "code": 0,  "message": "string",  "details": [    {      "@type": "string"    }  ]}